#!/bin/bash

# N <= 10, M <= 30
./gen-input 101 random 10 20 -1 > tests/01.a.in
./gen-input 102 random 6 15 -1 > tests/01.b.in
./gen-input 103 random 10 0 -1 > tests/01.c.in
./gen-input 104 almost_no_four_cycle 10 20 0 > tests/01.d.in
./gen-input 105 almost_no_four_cycle 10 20 1 > tests/01.e.in
./gen-input 106 almost_no_four_cycle 10 20 2 > tests/01.f.in
./gen-input 107 proj_incid 2 0 0 > tests/01.g.in
./gen-input 108 proj_incid 2 0 1 > tests/01.h.in

# N <= 50, M <= 200
./gen-input 201 random 50 200 -1 > tests/02.a.in
./gen-input 202 random 20 190 -1 > tests/02.b.in
./gen-input 203 random 50 0 -1 > tests/02.c.in
./gen-input 204 almost_no_four_cycle 50 100 0 > tests/02.d.in
./gen-input 205 almost_no_four_cycle 50 100 1 > tests/02.e.in
./gen-input 206 almost_no_four_cycle 50 100 2 > tests/02.f.in
./gen-input 207 proj_incid 3 0 0 > tests/02.g.in
./gen-input 208 proj_incid 3 0 1 > tests/02.h.in

# N <= 100, M <= 200
./gen-input 301 random 100 200 -1 > tests/03.a.in
./gen-input 302 random 20 190 -1 > tests/03.b.in
./gen-input 303 random 100 0 -1 > tests/03.c.in
./gen-input 304 almost_no_four_cycle 100 200 0 > tests/03.d.in
./gen-input 305 almost_no_four_cycle 100 200 1 > tests/03.e.in
./gen-input 306 almost_no_four_cycle 100 200 2 > tests/03.f.in
./gen-input 307 proj_incid 5 0 0 > tests/03.g.in
./gen-input 308 proj_incid 5 0 1 > tests/03.h.in

# N <= 200, M <= 1000
./gen-input 401 random 200 1000 -1 > tests/04.a.in
./gen-input 402 random 45 990 -1 > tests/04.b.in
./gen-input 403 random 200 0 -1 > tests/04.c.in
./gen-input 404 almost_no_four_cycle 200 1000 0 > tests/04.d.in
./gen-input 405 almost_no_four_cycle 200 1000 1 > tests/04.e.in
./gen-input 406 almost_no_four_cycle 200 1000 2 > tests/04.f.in
./gen-input 407 proj_incid 7 0 0 > tests/04.g.in
./gen-input 408 proj_incid 7 0 1 > tests/04.h.in

# N <= 500, M <= 5000
./gen-input 501 random 500 1000 -1 > tests/05.a.in
./gen-input 502 random 45 990 -1 > tests/05.b.in
./gen-input 503 random 500 0 -1 > tests/05.c.in
./gen-input 504 almost_no_four_cycle 500 2000 0 > tests/05.d.in
./gen-input 505 almost_no_four_cycle 500 2000 1 > tests/05.e.in
./gen-input 506 almost_no_four_cycle 500 2000 2 > tests/05.f.in
./gen-input 507 triangles_with_common_vertex 500 -1 0 > tests/05.g.in
./gen-input 508 triangles_with_common_vertex 500 -1 1 > tests/05.h.in
./gen-input 509 triangles_with_common_triangle 500 -1 0 > tests/05.i.in
./gen-input 510 triangles_with_common_triangle 500 -1 1 > tests/05.j.in
./gen-input 511 proj_incid 11 0 0 > tests/05.k.in
./gen-input 512 proj_incid 11 0 1 > tests/05.l.in

# N <= 5000, M <= 110000
./gen-input 601 random 5000 50000 -1 > tests/06.a.in
./gen-input 602 random 1000 49500 -1 > tests/06.b.in
./gen-input 603 random 5000 0 -1 > tests/06.c.in
./gen-input 604 almost_no_four_cycle 5000 50000 0 > tests/06.d.in
./gen-input 605 almost_no_four_cycle 5000 50000 0 > tests/06.e.in
./gen-input 606 almost_no_four_cycle 5000 50000 1 > tests/06.f.in
./gen-input 607 almost_no_four_cycle 5000 50000 1 > tests/06.g.in
./gen-input 608 almost_no_four_cycle 5000 50000 2 > tests/06.h.in
./gen-input 609 triangles_with_common_vertex 5000 -1 0 > tests/06.i.in
./gen-input 610 triangles_with_common_vertex 5000 -1 1 > tests/06.j.in
./gen-input 611 triangles_with_common_triangle 5000 -1 0 > tests/06.k.in
./gen-input 612 triangles_with_common_triangle 5000 -1 1 > tests/06.l.in
./gen-input 613 proj_incid 43 0 0 > tests/06.m.in
./gen-input 614 proj_incid 43 0 1 > tests/06.n.in

# N <= 5000, M <= 110000
./gen-input 701 random 5000 50000 -1 > tests/07.a.in
./gen-input 702 almost_no_four_cycle 5000 50000 0 > tests/07.b.in
./gen-input 703 almost_no_four_cycle 5000 50000 0 > tests/07.c.in
./gen-input 704 almost_no_four_cycle 5000 50000 1 > tests/07.d.in
./gen-input 705 almost_no_four_cycle 5000 50000 1 > tests/07.e.in
./gen-input 706 almost_no_four_cycle 5000 50000 2 > tests/07.f.in
./gen-input 707 triangles_with_common_vertex 5000 -1 0 > tests/07.g.in
./gen-input 708 triangles_with_common_vertex 5000 -1 1 > tests/07.h.in
./gen-input 709 triangles_with_common_triangle 5000 -1 0 > tests/07.i.in
./gen-input 710 triangles_with_common_triangle 5000 -1 1 > tests/07.j.in
./gen-input 711 proj_incid 47 0 0 > tests/07.k.in
./gen-input 712 proj_incid 47 0 1 > tests/07.l.in

# N <= 10000, M <= 210000
./gen-input 801 random 10000 80000 -1 > tests/08.a.in
./gen-input 802 almost_no_four_cycle 10000 80000 1 > tests/08.b.in
./gen-input 803 almost_no_four_cycle 10000 80000 0 > tests/08.c.in
./gen-input 804 almost_no_four_cycle 10000 80000 1 > tests/08.d.in
./gen-input 805 almost_no_four_cycle 10000 80000 0 > tests/08.e.in
./gen-input 806 triangles_with_common_vertex 10000 -1 0 > tests/08.f.in
./gen-input 807 triangles_with_common_vertex 10000 -1 1 > tests/08.g.in
./gen-input 808 triangles_with_common_triangle 10000 -1 0 > tests/08.h.in
./gen-input 809 triangles_with_common_triangle 10000 -1 1 > tests/08.i.in
./gen-input 810 proj_incid 59 0 0 > tests/08.j.in
./gen-input 811 proj_incid 59 0 1 > tests/08.k.in

# N <= 10000, M <= 250000
./gen-input 901 random 10000 100000 -1 > tests/09.a.in
./gen-input 902 almost_no_four_cycle 10000 100000 1 > tests/09.b.in
./gen-input 903 almost_no_four_cycle 10000 100000 0 > tests/09.c.in
./gen-input 904 almost_no_four_cycle 10000 100000 1 > tests/09.d.in
./gen-input 905 almost_no_four_cycle 10000 100000 0 > tests/09.e.in
./gen-input 906 proj_incid 61 0 0 > tests/09.f.in
./gen-input 907 proj_incid 61 0 1 > tests/09.g.in

# N <= 10000, M <= 310000
./gen-input 1001 random 10000 200000 -1 > tests/10.a.in
./gen-input 1002 almost_no_four_cycle 10000 150000 1 > tests/10.b.in
./gen-input 1003 almost_no_four_cycle 10000 150000 0 > tests/10.c.in
./gen-input 1004 almost_no_four_cycle 10000 150000 1 > tests/10.d.in
./gen-input 1005 almost_no_four_cycle 10000 150000 0 > tests/10.e.in
./gen-input 1006 proj_incid 67 0 0 > tests/10.f.in
./gen-input 1007 proj_incid 67 0 1 > tests/10.g.in
