#include <cstdio>
#include <list>
#include <vector>
using namespace std;

#define MAXN 10000

static list<int> cervi[MAXN];
static vector<int> soused[MAXN];

static int
zaznamenej_souseda (int a, int b, int v)
{
  if (a > b)
    swap (a, b);

  int ret = soused[b][a];
  soused[b][a] = v;
  return ret;
}

int main (void)
{
  int n, m;
  scanf ("%d%d", &n, &m);
  
  for (int i = 0; i < m; i++)
    {
      int a, b;
      scanf ("%d%d", &a, &b);
      a--; b--;
      cervi[a].push_back (b);
      cervi[b].push_back (a);
    }

  for (int i = 0; i < n; i++)
    soused[i].resize (i, -1);

  for (int v = 0; v < n; v++)
    {
      list<int> &s = cervi[v];
      for (list<int>::iterator a = s.begin (); a != s.end (); ++a)
	{
	  list<int>::iterator b = a;
	  ++b;
	  for (; b != s.end (); ++b)
	    {
	      int c = zaznamenej_souseda (*a, *b, v);
	      if (c >= 0)
		{
		  printf ("%d %d %d %d\n", *a + 1, c + 1, *b + 1, v + 1);
		  return 0;
		}
	    }
	}
    }

  printf ("0\n");
  return 0;
}
